package com.inspect.alarminfo.service;

import com.inspect.alarminfo.domain.AlarmInfo;

import java.util.List;

public interface IAlarmInfoService {
    AlarmInfo selectAlarmInfoByLineId(Long lineId);

    List<AlarmInfo> selectAlarmInfoList(AlarmInfo alarmInfo);

    int insertAlarmInfo(AlarmInfo alarmInfo);

    int updateAlarmInfo(AlarmInfo alarmInfo);

    int deleteAlarmInfoByLineIds(Long[] lineIds);

    int deleteAlarmInfoByLineId(Long lineId);
}
